summaryrefslogtreecommitdiffstats
path: root/src/main/bin/start.sh
diff options
context:
space:
mode:
authorPrudence Au <prudence.au@amdocs.com>2018-08-13 17:06:59 -0400
committerPierre Rioux <pierre.rioux@amdocs.com>2018-08-21 11:21:26 -0400
commitc604f64b971491f8c9b953adce54b847d7946e26 (patch)
tree134f7fc91b4da9e04c564c92337d44df420c8df0 /src/main/bin/start.sh
parent3baa3ebd0000b15f1c54c736f4a307731b16b923 (diff)
Initial submission for validation service
Change-Id: I9372430f1ae347373d5a9a0c7a427d7bd393d61e Issue-ID: LOG-427 Signed-off-by: Prudence Au (prudence.au@amdocs.com) Signed-off-by: Geora Barsky <georab@amdocs.com> Signed-off-by: Pierre Rioux <pierre.rioux@amdocs.com>
Diffstat (limited to 'src/main/bin/start.sh')
-rw-r--r--src/main/bin/start.sh53
1 files changed, 53 insertions, 0 deletions
diff --git a/src/main/bin/start.sh b/src/main/bin/start.sh
new file mode 100644
index 0000000..5ba69d7
--- /dev/null
+++ b/src/main/bin/start.sh
@@ -0,0 +1,53 @@
+#!/bin/sh
+# ============LICENSE_START===================================================
+# Copyright (c) 2018 Amdocs
+# ============================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=====================================================
+
+# APP_HOME is required for EELF logging.
+# This path is referenced in the file logback.xml.
+APP_HOME="${APP_HOME-/opt/app/validation-service}"
+
+JARFILE="$APP_HOME/validation-service.jar"
+LOGBACK_FILE=logback.xml
+
+# CONFIG_HOME is used as the base folder for relative paths, e.g. in the file aai-environment.properties
+if [ -z "$CONFIG_HOME" ]; then
+ echo "CONFIG_HOME must be set in order to start up the process"
+ echo "E.g. CONFIG_HOME=${APP_HOME}/config"
+ exit 1
+fi
+
+# Some properties are repeated here for debugging purposes.
+PROPS="-DAPP_HOME=$APP_HOME"
+PROPS="${PROPS} -DCONFIG_HOME=${CONFIG_HOME}"
+PROPS="${PROPS} -Dcom.att.eelf.logging.path=${APP_HOME}"
+PROPS="${PROPS} -Dcom.att.eelf.logging.file=${LOGBACK_FILE}"
+PROPS="${PROPS} -Dlogback.configurationFile=${APP_HOME}/${LOGBACK_FILE}"
+JVM_MAX_HEAP=${MAX_HEAP:-1024}
+
+if [ -z "${java_runtime_arguments}" ]; then
+ java_runtime_arguments="-Xms75m -Xmx${JVM_MAX_HEAP}m \
+ -Dcom.sun.management.jmxremote \
+ -Dcom.sun.management.jmxremote.authenticate=false \
+ -Dcom.sun.management.jmxremote.ssl=false \
+ -Dcom.sun.management.jmxremote.local.only=false \
+ -Dcom.sun.management.jmxremote.port=1099 \
+ -Dcom.sun.management.jmxremote.rmi.port=1099 \
+ -Djava.rmi.server.hostname=127.0.0.1"
+fi
+
+echo "java $java_runtime_arguments $PROPS -jar $JARFILE"
+java $java_runtime_arguments $PROPS -jar $JARFILE
+